
/***************************************************************************
                 module classe sbcgyre_emp.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, Mars 18, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3)
{/*	1	from	sbcgyre_emp1    	1  i 	j       t
	2	from	sbcgyre_zsumemp_zsurf	1  NX 	NY      t
	3	from	sbcgyre_zsumemp_zsurf	2  NX 	NY      t*/
 /*verification calcul
   norm(empY-empF)=8.684953719762321e-20
   norm(empY-empF)/norm(empF)=1.932033214741111e-16
 */
  if(Yt==TU){
    YS1=0.;
  }
  else{
    double  zsumemp = x2/x3;
    //      !salinity terms
    YS1=x1-zsumemp*tmask(Yi,Yj,0);
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3)
{
  YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.; 
  
  if(Yt!=TU){
    double  dzsumemp_x2 = 1./x3,dzsumemp_x3 = -x2/x3/x3;
    //zsumemp = 0.e0   ;    zsurf = 0.e0
    //      !salinity terms
    YJ1I1=1.;
    YJ1I2=-dzsumemp_x2*tmask(Yi,Yj,0);
    YJ1I3=-dzsumemp_x3*tmask(Yi,Yj,0); 
  }
  //
  
}

//===========================================================================
//********************* FIN DU MODULE sbcgyre_emp **********************

