
/***************************************************************************
                 module classe sbc_gyre_zsumemp_zsurf.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, Mars 18, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3,YREAL x4,YREAL x5)
{/*	1	from	sbc_gyre_zsumemp_zsurf	1  i-1 	j         t
	2	from	sbc_gyre_zsumemp_zsurf	1  NX 	j-1       t
  	3	from	sbc_gyre_zsumemp_zsurf	2  i-1 	j         t
  	4	from	sbc_gyre_zsumemp_zsurf	2  NX 	j-1       t
 	5	from	sbc_gyre_emp  		1  i 	j         t*/

  //calcul verifier  April 3, 2009
  if(Yt==TU){
    YS1=0.;
    YS2=0.;
  }
  else{
    double  zsumemp=x1,zsurf=x3;
    if(Yi==0) {zsumemp=x2;zsurf=x4;}
    
    YS1= zsumemp+x5* tmask(Yi,Yj,0) * tmask_i(Yi,Yj);
    YS2= zsurf+tmask(Yi,Yj,0) * tmask_i(Yi,Yj);
  }
   //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3,YREAL x4,YREAL x5)
{

  YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.;     YJ1I4=0.;     YJ1I5=0.;
  YJ2I1=0.;     YJ2I2=0.;     YJ2I3=0.;     YJ2I4=0.;     YJ2I5=0.;

  if(Yt!=TU){
    if(Yi==0) {
      YJ1I2=1.;YJ2I4=1.;
    }
    else{
      YJ1I1=1.;YJ2I3=1.;
    }
    YJ1I5=tmask(Yi,Yj,0) * tmask_i(Yi,Yj);
  }
  //
}  


  //===========================================================================
//********************* FIN DU MODULE sbc_gyre **********************

