
/***************************************************************************
                 module classe sa_hor_traadv_cen2.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, October 20, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3,YREAL x4,YREAL x5)
{ /*
	1	from	ta_sa_trasbc		2  i	j         t
	2	from	zcens_hor_traadv_cen2	1  i-1	j    k    t
	3	from	zcens_hor_traadv_cen2	1  i	j    k    t
	4	from	zcens_hor_traadv_cen2	2  i	j-1  k    t
	5	from	zcens_hor_traadv_cen2	2  i	j    k    t
  */
  double zbtr,zsa;
  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YS1=0.;
    }
    else{
      zbtr = 1./(e1t(Yi,Yj)*e2t(Yi,Yj));
      zsa = -zbtr*(x3-x2+x5-x4);
      if(Yk==0)   YS1 = x1+zsa;
      else  YS1 = zsa;
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3,YREAL x4,YREAL x5)
{
  YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.;      YJ1I4=0.;      YJ1I5=0.; 

  if(Yt!=TU){  
    double zbtr;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.;      YJ1I4=0.;      YJ1I5=0.; 
    }
    else{
      zbtr = 1./(e1t(Yi,Yj)*e2t(Yi,Yj));
      YJ1I1=0.; 
      if(Yk==0)  YJ1I1= 1.;
      YJ1I2= zbtr;
      YJ1I3= -zbtr;
      YJ1I4= zbtr;
      YJ1I5= -zbtr;
    }
  }
  //
  
  
}

  //===========================================================================
//*************************  FIN DU MODULE ta_hor_traadv_cen2   *************************

