
/***************************************************************************
                 module classe ua_dynspg_flt.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 24, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3)
{ /*	1	from	ua_1_dynspg_flt		1  i 	j    k    t
	2	from	spguv_dynspg_flt	1  i 	j         t
	3	from	ua_c	                1  i 	j    k     */


  /* YS1  */
  /*     A 1.981928897072353e-07
	 R 1.868265701737805e-07*/
  if(Yt==TU){
    YS1=x3;
  }
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1  ){
      YS1=0.;
    }
    else{
      YS1 = (x1 + x2) * umask(Yi,Yj,Yk);
    }
  }
  //
  /* if(Yt==6 && Yi==28 && Yj==3)  xtest("ua YS_ua",YS_ua(0, Yi, Yj, Yk,Yt),Yi,Yj,Yk,Yt);
 if(Yt==6 && Yi==28 && Yj==3)  xtest("ua x1",x1,Yi,Yj,Yk,Yt);
 if(Yt==6 && Yi==28 && Yj==3)  xtest("ua x2",x2,Yi,Yj,Yk,Yt);
 if(Yt==6 && Yi==28 && Yj==3)  xtest("ua x3",x3,Yi,Yj,Yk,Yt);
 if(Yt==6 && Yi==28 && Yj==3)  xtest("ua x4",x4,Yi,Yj,Yk,Yt);
  */
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3)
{
  //if(Yt==6 && Yi==28 && Yj==3)  xtest("ua YW_ua",YW_ua(0, Yi, Yj, Yk),Yi,Yj,Yk,Yt);
  //if(Yt==6 && Yi==28 && Yj==3)  xtest("ua YS_ua",YS_ua(0, Yi, Yj, Yk,Yt),Yi,Yj,Yk,Yt);
  //if(Yt==6 && Yi==28 && Yj==3 && Yk==0)  xtest("ua YS_ua_c1",YS_ua_c1(0,0),Yi,Yj,Yk,Yt);
  //  if(Yt==6 && Yi==28 && Yj==3) xtest("ua YW",YW1Y_ua,Yi,Yj,Yk,Yt);
  //if(Yt==5 && Yi==28 && Yj==3) xtest("ua YG1",YG1,Yi,Yj,Yk,Yt);
  YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.; 
  if(Yt==TU){
#ifdef YE_ua_c
    YJ1I3=1.;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1) YJ1I3=0;
#endif
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1  ){
      YJ1I3=0.; 
    }
  }
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1  ){
      YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;
    }
    else{
      YJ1I1=umask(Yi,Yj,Yk);
      YJ1I2=umask(Yi,Yj,Yk);
      YJ1I3=0.;
    }
  }
  //
  
}

  //===========================================================================
//*************************  FIN DU MODULE va_1_dynspg_flt   *************************

