
/***************************************************************************
                 module classe zhpj_dyn_hpg_zco.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 17, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3,YREAL x4,YREAL x5)
{ /*	1	from	rhd			1  i+1 	j    k    t
	2	from	rhd			1  i 	j+1  k    t
	3	from	rhd			1  i 	j    k    t
	4	from	rhd			1  i+1 	j    k-1  t
	5	from	rhd			1  i 	j+1  k-1  t
	6	from	rhd			1  i 	j    k-1  t
	7	from	zhpij_dyn_hpg_zco	1  i 	j    k-1  t
	8	from	zhpij_dyn_hpg_zco	2  i 	j    k-1  t*/

  /* YS1 */
  /*     A 
	 R */
  /* YS1 */
  /*     A 
	 R */
  if(Yt==TU)
    YS1=0.;
  else{
    double zcoef0 = - grav * 0.5;
    double zcoef1 = zcoef0 * fse3w(Yi,Yj,Yk);
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YS1=0.;
      YS2=0.;
    }
    else{
      if(Yk==0){
	YS1=zcoef1*(x1 - x3)/ e1u(Yi,Yj);
	YS2=zcoef1*(x2 - x3)/ e2v(Yi,Yj);
      }
      else{
	YS1=x7+zcoef1*((x1+x4)-(x3+x6)) / e1u(Yi,Yj);
	YS2=x8+zcoef1*((x2+x5)-(x3+x6)) / e2v(Yi,Yj);
      }
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3,YREAL x4,YREAL x5)
{
  
}

  //===========================================================================
//*************************  FIN DU MODULE zhpj_dyn_hpg_zco   *************************

